searchData={"items":[{"type":"module","title":"Eli","doc":"Documentation for `Eli`.","ref":"Eli.html"},{"type":"function","title":"Eli.confirm/1","doc":"Confirms user email.","ref":"Eli.html#confirm/1"},{"type":"function","title":"Examples - Eli.confirm/1","doc":"iex> Eli.confirm(\"Confirmation token\")\n\n    202\n    %{\"data\" => %{\"message\" => \"account was successfully confirmed\"}}\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.html#confirm/1-examples"},{"type":"function","title":"Eli.current_user/1","doc":"Returns the current user data.","ref":"Eli.html#current_user/1"},{"type":"function","title":"Examples - Eli.current_user/1","doc":"iex> Eli.signed_in(\"JWT session token\")\n    :signed_in\n\n    200\n    %{\n      \"data\" => %{\n        \"active\" => true,\n        \"email\" => \"user.name@domain.com\",\n        \"id\" => \"732cf1c2-6299-41fa-8784-e458765743b7\",\n        \"language\" => \"en\",\n        \"name\" => \"Adilson Chacon\",\n        \"timezone\" => \"Europe/London\"\n      }\n    }\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}},","ref":"Eli.html#current_user/1-examples"},{"type":"function","title":"Eli.recover_password/3","doc":"Recover password updating it.","ref":"Eli.html#recover_password/3"},{"type":"function","title":"Examples - Eli.recover_password/3","doc":"iex> Eli.request_password_recovery(\"Confirmation token\")\n\n    200\n    %{\"data\" => %{\"message\" => \"password was successfully recovered\"}}\n\n    400\n    %{\"errors\" => %{\"detail\" => \"token is invalid\"}}\n\n    400\n    %{\"errors\" => %{\"detail\" => \"password has an invalid format\"}}\n\n    400\n    %{\"errors\" => %{\"detail\" => \"password and confirmation password are different\"}}","ref":"Eli.html#recover_password/3-examples"},{"type":"function","title":"Eli.refresh/1","doc":"Refresh your token session returning a new session token.","ref":"Eli.html#refresh/1"},{"type":"function","title":"Examples - Eli.refresh/1","doc":"iex> Eli.refresh(\"JWT session token\")\n\n    200\n    %{\n      \"data\" => %{\n        \"token\" => \"JWT session token\"\n      }\n    }\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}},","ref":"Eli.html#refresh/1-examples"},{"type":"function","title":"Eli.request_password_recovery/2","doc":"Requests password recovery.","ref":"Eli.html#request_password_recovery/2"},{"type":"function","title":"Examples - Eli.request_password_recovery/2","doc":"iex> Eli.request_password_recovery(\"Confirmation token\")\n\n    200\n    %{\"data\" => %{\"message\" => \"password recovery was successfully requested\"}}\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.html#request_password_recovery/2-examples"},{"type":"function","title":"Eli.sign_in/3","doc":"Sign in.","ref":"Eli.html#sign_in/3"},{"type":"function","title":"Examples - Eli.sign_in/3","doc":"iex> Eli.sign_in(\"app token\", \"user.email@domain.com\", \"secret.password\")\n    200\n    %{\n      \"data\" => %{\n        \"token\" => \"JWT session token\"\n      }\n    }\n\n    400\n    %{\"errors\" => %{\"detail\" => \"invalid credentials\"}},","ref":"Eli.html#sign_in/3-examples"},{"type":"function","title":"Eli.sign_out/1","doc":"Signs user out closing and deleting session.","ref":"Eli.html#sign_out/1"},{"type":"function","title":"Examples - Eli.sign_out/1","doc":"iex> Eli.sign_out(\"JWT session token\")\n\n    200\n    %{\"data\" => %{\"message\" => \"signed out successfully\"}}\n\n    404\n     %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.html#sign_out/1-examples"},{"type":"function","title":"Eli.signed_in/1","doc":"Checks whether the user is signed in or not.","ref":"Eli.html#signed_in/1"},{"type":"function","title":"Examples - Eli.signed_in/1","doc":"iex> Eli.signed_in(\"JWT session token\")\n    :signed_in\n\n    true\n\n    false","ref":"Eli.html#signed_in/1-examples"},{"type":"function","title":"Eli.unlock/1","doc":"Unlocks user for making the he/she able to sign in again.","ref":"Eli.html#unlock/1"},{"type":"function","title":"Examples - Eli.unlock/1","doc":"iex> Eli.unlock(\"Unlock token\")\n\n    202\n    %{\"data\" => %{\"message\" => \"account was successfully unlocked\"}}\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.html#unlock/1-examples"},{"type":"module","title":"Eli.Admin","doc":"Documentation for `Eli`.","ref":"Eli.Admin.html"},{"type":"function","title":"Eli.Admin.confirm/1","doc":"Confirms user's email.","ref":"Eli.Admin.html#confirm/1"},{"type":"function","title":"Examples - Eli.Admin.confirm/1","doc":"iex> Eli.confirm(\"Confirmation token\")`\n\n    202\n    %{\"data\" => %{\"message\" => \"account was successfully confirmed\"}}\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.Admin.html#confirm/1-examples"},{"type":"function","title":"Eli.Admin.current_user/1","doc":"Returns the current user data.","ref":"Eli.Admin.html#current_user/1"},{"type":"function","title":"Examples - Eli.Admin.current_user/1","doc":"iex> Eli.signed_in(\"JWT session token\")\n    :signed_in\n\n    200\n    %{\n      \"data\" => %{\n        \"active\" => true,\n        \"email\" => \"user@mail.com\",\n        \"id\" => \"732cf1c2-6299-41fa-8784-e458765743b7\",\n        \"language\" => \"en\",\n        \"name\" => \"User Name\",\n        \"timezone\" => \"Europe/London\"\n      }\n    }\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}},","ref":"Eli.Admin.html#current_user/1-examples"},{"type":"function","title":"Eli.Admin.recover_password/3","doc":"Recover password updating it.","ref":"Eli.Admin.html#recover_password/3"},{"type":"function","title":"Examples - Eli.Admin.recover_password/3","doc":"iex> Eli.request_password_recovery(\"Confirmation token\")\n\n    200\n    %{\"data\" => %{\"message\" => \"password was successfully recovered\"}}\n\n    400\n    %{\"errors\" => %{\"detail\" => \"token is invalid\"}}\n\n    400\n    %{\"errors\" => %{\"detail\" => \"password has an invalid format\"}}\n\n    400\n    %{\"errors\" => %{\"detail\" => \"password and confirmation password are different\"}}","ref":"Eli.Admin.html#recover_password/3-examples"},{"type":"function","title":"Eli.Admin.refresh/1","doc":"Refresh your token session returning a new session token.","ref":"Eli.Admin.html#refresh/1"},{"type":"function","title":"Examples - Eli.Admin.refresh/1","doc":"iex> Eli.refresh(\"JWT session token\")\n\n    200\n    %{\n      \"data\" => %{\n        \"token\" => \"JWT session token\"\n      }\n    }\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}},","ref":"Eli.Admin.html#refresh/1-examples"},{"type":"function","title":"Eli.Admin.request_password_recovery/2","doc":"Requests password recovery.","ref":"Eli.Admin.html#request_password_recovery/2"},{"type":"function","title":"Examples - Eli.Admin.request_password_recovery/2","doc":"iex> Eli.request_password_recovery(\"Confirmation token\")\n\n    200\n    %{\"data\" => %{\"message\" => \"password recovery was successfully requested\"}}\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.Admin.html#request_password_recovery/2-examples"},{"type":"function","title":"Eli.Admin.sign_in/2","doc":"Sign in.","ref":"Eli.Admin.html#sign_in/2"},{"type":"function","title":"Examples - Eli.Admin.sign_in/2","doc":"iex> Eli.Admin.sign_in(\"user.email@domain.com\", \"seCr#t.passw0rd\")\n    200\n    %{\n      \"data\" => %{\n        \"token\" => \"JWT session token\"\n      }\n    }\n\n    400\n    %{\"errors\" => %{\"detail\" => \"invalid credentials\"}},","ref":"Eli.Admin.html#sign_in/2-examples"},{"type":"function","title":"Eli.Admin.sign_out/1","doc":"Signs user out closing and deleting session.","ref":"Eli.Admin.html#sign_out/1"},{"type":"function","title":"Examples - Eli.Admin.sign_out/1","doc":"iex> Eli.sign_out(\"JWT session token\")\n\n    200\n    %{\"data\" => %{\"message\" => \"signed out successfully\"}}\n\n    404\n     %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.Admin.html#sign_out/1-examples"},{"type":"function","title":"Eli.Admin.signed_in/1","doc":"Checks whether the admin user is signed in or not.","ref":"Eli.Admin.html#signed_in/1"},{"type":"function","title":"Examples - Eli.Admin.signed_in/1","doc":"iex> Eli.signed_in(\"JWT session token\")\n    :signed_in\n\n    true\n\n    false","ref":"Eli.Admin.html#signed_in/1-examples"},{"type":"function","title":"Eli.Admin.unlock/1","doc":"Unlocks user for making the he/she able to sign in again.","ref":"Eli.Admin.html#unlock/1"},{"type":"function","title":"Examples - Eli.Admin.unlock/1","doc":"iex> Eli.unlock(\"Unlock token\")\n\n    202\n    %{\"data\" => %{\"message\" => \"account was successfully unlocked\"}}\n\n    404\n    %{\"errors\" => %{\"detail\" => \"Not Found\"}}","ref":"Eli.Admin.html#unlock/1-examples"},{"type":"module","title":"Eli.Admin.App","doc":"","ref":"Eli.Admin.App.html"},{"type":"function","title":"Eli.Admin.App.add_app_user/5","doc":"list app user","ref":"Eli.Admin.App.html#add_app_user/5"},{"type":"function","title":"Examples - Eli.Admin.App.add_app_user/5","doc":"Eli.Admin.App.add_app_user(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"5223b223-52f0-4e61-afbe-e44ce60515e4\", \"one.more_user@domain.com\", \"Secret.123!\")\n    #Req.Response","ref":"Eli.Admin.App.html#add_app_user/5-examples"},{"type":"function","title":"Eli.Admin.App.create/2","doc":"","ref":"Eli.Admin.App.html#create/2"},{"type":"function","title":"Examples - Eli.Admin.App.create/2","doc":"app = %Eli.Admin.App{name: \"New App Name\", description: \"New App Description\", organization_id: \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", unlock_sign_in_url: \"http://localhost:4000\"}\n\n    Eli.Admin.App.create(\"JWT session token\", app)\n\n    #Req.Response","ref":"Eli.Admin.App.html#create/2-examples"},{"type":"function","title":"Eli.Admin.App.create_token/3","doc":"Create tokens","ref":"Eli.Admin.App.html#create_token/3"},{"type":"function","title":"Examples - Eli.Admin.App.create_token/3","doc":"Eli.Admin.App.create_token(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"5223b223-52f0-4e61-afbe-e44ce60515e4\")\n    #Req.Response","ref":"Eli.Admin.App.html#create_token/3-examples"},{"type":"function","title":"Eli.Admin.App.delete/3","doc":"","ref":"Eli.Admin.App.html#delete/3"},{"type":"function","title":"Examples - Eli.Admin.App.delete/3","doc":"Eli.Admin.App.delete(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"319f3afa-69bd-4bcc-b168-f26613c9581f\")\n\n    #Req.Response","ref":"Eli.Admin.App.html#delete/3-examples"},{"type":"function","title":"Eli.Admin.App.get/3","doc":"","ref":"Eli.Admin.App.html#get/3"},{"type":"function","title":"Examples - Eli.Admin.App.get/3","doc":"Eli.Admin.App.get(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"5223b223-52f0-4e61-afbe-e44ce60515e4\")\n\n    #Req.Response","ref":"Eli.Admin.App.html#get/3-examples"},{"type":"function","title":"Eli.Admin.App.get_token/4","doc":"Show tokens","ref":"Eli.Admin.App.html#get_token/4"},{"type":"function","title":"Examples - Eli.Admin.App.get_token/4","doc":"Eli.Admin.App.get_token(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"5223b223-52f0-4e61-afbe-e44ce60515e4\", \"63cb25d9-d321-4f0e-aa24-a195e3aea2c4\")\n    #Req.Response","ref":"Eli.Admin.App.html#get_token/4-examples"},{"type":"function","title":"Eli.Admin.App.list/4","doc":"","ref":"Eli.Admin.App.html#list/4"},{"type":"function","title":"Examples - Eli.Admin.App.list/4","doc":"Eli.Admin.App.list(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\")\n    #Req.Response","ref":"Eli.Admin.App.html#list/4-examples"},{"type":"function","title":"Eli.Admin.App.list_app_users/5","doc":"","ref":"Eli.Admin.App.html#list_app_users/5"},{"type":"function","title":"Examples - Eli.Admin.App.list_app_users/5","doc":"Eli.Admin.App.list_app_users(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\")\n\n    #Req.Response","ref":"Eli.Admin.App.html#list_app_users/5-examples"},{"type":"function","title":"Eli.Admin.App.list_tokens/5","doc":"List tokens","ref":"Eli.Admin.App.html#list_tokens/5"},{"type":"function","title":"Examples - Eli.Admin.App.list_tokens/5","doc":"Eli.Admin.App.list_tokens(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"5223b223-52f0-4e61-afbe-e44ce60515e4\")\n    #Req.Response","ref":"Eli.Admin.App.html#list_tokens/5-examples"},{"type":"function","title":"Eli.Admin.App.remove_app_user/4","doc":"remove app user","ref":"Eli.Admin.App.html#remove_app_user/4"},{"type":"function","title":"Examples - Eli.Admin.App.remove_app_user/4","doc":"Eli.Admin.App.delete_app_user(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"5223b223-52f0-4e61-afbe-e44ce60515e4\", \"\")\n    #Req.Response","ref":"Eli.Admin.App.html#remove_app_user/4-examples"},{"type":"function","title":"Eli.Admin.App.revoke_token/4","doc":"Revoke a token","ref":"Eli.Admin.App.html#revoke_token/4"},{"type":"function","title":"Examples - Eli.Admin.App.revoke_token/4","doc":"Eli.Admin.App.revoke_token(\"JWT session token\", \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", \"5223b223-52f0-4e61-afbe-e44ce60515e4\", \"63cb25d9-d321-4f0e-aa24-a195e3aea2c4\")\n    #Req.Response","ref":"Eli.Admin.App.html#revoke_token/4-examples"},{"type":"function","title":"Eli.Admin.App.update/3","doc":"","ref":"Eli.Admin.App.html#update/3"},{"type":"function","title":"Examples - Eli.Admin.App.update/3","doc":"app = %Eli.Admin.App{name: \"Another App Name\", description: \"Changed Description\", organization_id: \"3d36fb7c-bbb6-4b27-8945-c7880de5484f\", unlock_sign_in_url: \"http://localhost:4000\"}\n\n    Eli.Admin.App.update(\"JWT session token\", \"319f3afa-69bd-4bcc-b168-f26613c9581f\", app)\n\n    #Req.Response","ref":"Eli.Admin.App.html#update/3-examples"},{"type":"module","title":"Eli.Admin.Organization","doc":"","ref":"Eli.Admin.Organization.html"},{"type":"function","title":"Eli.Admin.Organization.add_admin_user/3","doc":"","ref":"Eli.Admin.Organization.html#add_admin_user/3"},{"type":"function","title":"Examples - Eli.Admin.Organization.add_admin_user/3","doc":"Eli.Admin.Organization.add_admin_user(\n      \"Session token\",\n      \"c28de4d1-14ea-4494-99a9-cf7cf9f8f186\",\n      \"user.email@domain.com\")\n\n    #Req.Response","ref":"Eli.Admin.Organization.html#add_admin_user/3-examples"},{"type":"function","title":"Eli.Admin.Organization.create/2","doc":"","ref":"Eli.Admin.Organization.html#create/2"},{"type":"function","title":"Examples - Eli.Admin.Organization.create/2","doc":"#Req.Response","ref":"Eli.Admin.Organization.html#create/2-examples"},{"type":"function","title":"Eli.Admin.Organization.delete/2","doc":"","ref":"Eli.Admin.Organization.html#delete/2"},{"type":"function","title":"Examples - Eli.Admin.Organization.delete/2","doc":"#Req.Response","ref":"Eli.Admin.Organization.html#delete/2-examples"},{"type":"function","title":"Eli.Admin.Organization.get/2","doc":"","ref":"Eli.Admin.Organization.html#get/2"},{"type":"function","title":"Examples - Eli.Admin.Organization.get/2","doc":"#Req.Response","ref":"Eli.Admin.Organization.html#get/2-examples"},{"type":"function","title":"Eli.Admin.Organization.list/3","doc":"","ref":"Eli.Admin.Organization.html#list/3"},{"type":"function","title":"Examples - Eli.Admin.Organization.list/3","doc":"#Req.Response","ref":"Eli.Admin.Organization.html#list/3-examples"},{"type":"function","title":"Eli.Admin.Organization.list_admin_users/4","doc":"","ref":"Eli.Admin.Organization.html#list_admin_users/4"},{"type":"function","title":"Examples - Eli.Admin.Organization.list_admin_users/4","doc":"Eli.Admin.Organization.list_admin_user(\n      \"Session token\",\n      \"c28de4d1-14ea-4494-99a9-cf7cf9f8f186\")\n\n    #Req.Response","ref":"Eli.Admin.Organization.html#list_admin_users/4-examples"},{"type":"function","title":"Eli.Admin.Organization.remove_admin_user/3","doc":"","ref":"Eli.Admin.Organization.html#remove_admin_user/3"},{"type":"function","title":"Examples - Eli.Admin.Organization.remove_admin_user/3","doc":"Eli.Admin.Organization.remove_admin_user(\n      \"Session token\",\n      \"c28de4d1-14ea-4494-99a9-cf7cf9f8f186\",\n      \"47dff89a-97ca-4eca-8057-2a9398d90e03\")\n\n    #Req.Response","ref":"Eli.Admin.Organization.html#remove_admin_user/3-examples"},{"type":"function","title":"Eli.Admin.Organization.update/3","doc":"","ref":"Eli.Admin.Organization.html#update/3"},{"type":"function","title":"Examples - Eli.Admin.Organization.update/3","doc":"#Req.Response","ref":"Eli.Admin.Organization.html#update/3-examples"},{"type":"module","title":"Eli.Config","doc":"Documentation for `Eli.Config`.","ref":"Eli.Config.html"},{"type":"function","title":"Eli.Config.base_url/0","doc":"Get base_url value","ref":"Eli.Config.html#base_url/0"},{"type":"function","title":"Example - Eli.Config.base_url/0","doc":"Eli.Config.base_url()","ref":"Eli.Config.html#base_url/0-example"},{"type":"function","title":"Eli.Config.base_url/1","doc":"Set base_url value","ref":"Eli.Config.html#base_url/1"},{"type":"function","title":"Example - Eli.Config.base_url/1","doc":"Eli.Config.base_url(\"http://localhost:4000\")","ref":"Eli.Config.html#base_url/1-example"},{"type":"module","title":"RESTApi","doc":"Documentation for `RESTApi`.","ref":"RESTApi.html"},{"type":"function","title":"RESTApi.delete/2","doc":"Delete.","ref":"RESTApi.html#delete/2"},{"type":"function","title":"Examples - RESTApi.delete/2","doc":"iex> RESTApi.delete(\"/rest/your/endpoint\", %{params: %{foo: \"bar\"}, headers: %{token: \"A_TOKEN\" }})\n    :delete","ref":"RESTApi.html#delete/2-examples"},{"type":"function","title":"RESTApi.get/2","doc":"Get.","ref":"RESTApi.html#get/2"},{"type":"function","title":"Examples - RESTApi.get/2","doc":"iex> RESTApi.get(\"/rest/your/endpoint\", %{params: %{foo: \"bar\"}, headers: %{token: \"A_TOKEN\" }})\n    :get","ref":"RESTApi.html#get/2-examples"},{"type":"function","title":"RESTApi.head/2","doc":"Head.","ref":"RESTApi.html#head/2"},{"type":"function","title":"Examples - RESTApi.head/2","doc":"iex> RESTApi.head(\"/rest/your/endpoint\", %{params: %{foo: \"bar\"}, headers: %{token: \"A_TOKEN\" }})\n    :head","ref":"RESTApi.html#head/2-examples"},{"type":"function","title":"RESTApi.patch/2","doc":"Patch.","ref":"RESTApi.html#patch/2"},{"type":"function","title":"Examples - RESTApi.patch/2","doc":"iex> RESTApi.patch(\"/rest/your/endpoint\", %{params: %{foo: \"bar\"}, headers: %{token: \"A_TOKEN\" }})\n    :patch","ref":"RESTApi.html#patch/2-examples"},{"type":"function","title":"RESTApi.post/2","doc":"Post.","ref":"RESTApi.html#post/2"},{"type":"function","title":"Examples - RESTApi.post/2","doc":"iex> RESTApi.post(\"/rest/your/endpoint\", %{params: %{foo: \"bar\"}, headers: %{token: \"A_TOKEN\" }})\n    :post","ref":"RESTApi.html#post/2-examples"},{"type":"function","title":"RESTApi.put/2","doc":"Put.","ref":"RESTApi.html#put/2"},{"type":"function","title":"Examples - RESTApi.put/2","doc":"iex> RESTApi.put(\"/rest/your/endpoint\", %{params: %{foo: \"bar\"}, headers: %{token: \"A_TOKEN\" }})\n    :put","ref":"RESTApi.html#put/2-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}